diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
index 4a1196839..317689809 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
@@ -36,29 +36,29 @@ public class ScreenCreateWorld extends Screen {
 
     @Override
     public void tick() {
-        textboxWorldName.updateCursorCounter();
-        textboxSeed.updateCursorCounter();
+        this.textboxWorldName.updateCursorCounter();
+        this.textboxSeed.updateCursorCounter();
     }
 
     @Override
     public void init() {
         I18n i18n = I18n.getInstance();
         Keyboard.enableRepeatEvents(true);
-        buttons.clear();
-        buttons.add(createWorldButton = new ButtonElement(0, width / 2 - 100, height / 4 + 104 + 12,
+        this.buttons.clear();
+        this.buttons.add(this.createWorldButton = new ButtonElement(0, this.width / 2 - 100, this.height / 4 + 104 + 12,
                 i18n.translateKey("gui.create_world.button.create_new_world")));
-        buttons.add(new ButtonElement(1, width / 2 - 100, height / 4 + 128 + 12,
+        this.buttons.add(new ButtonElement(1, this.width / 2 - 100, this.height / 4 + 128 + 12,
                 i18n.translateKey("gui.create_world.button.cancel")));
-        textboxWorldName = new TextFieldElement(this, fontRenderer, width / 2 - 100, 60, 200 - 24, 20,
+        this.textboxWorldName = new TextFieldElement(this, this.fontRenderer, this.width / 2 - 100, 60, 200 - 24, 20,
                 "", i18n.translateKey("gui.create_world.label.new_world"));
-        textboxWorldName.setMaxStringLength(32);
-        textboxSeed = new TextFieldElement(this, fontRenderer, width / 2 - 100, 100, 200 - 24, 20, "", Long.toString(this.worldConfiguration.getNumericSeed()));
-        buttons.add(gamemodeButton = new ButtonElement(2, width / 2 - 100, 100 + 20 + 4, 98, 20, ""));
-        buttons.add(cheatsButton = new ButtonElement(3, width / 2 - 100 + 102, 100 + 20 + 4, 98, 20, ""));
-        buttons.add(worldSettingsButton = new ButtonElement(4, width / 2 - 100, 100 + 20 + 20 + 4 + 4, i18n.translateKey("gui.create_world.button.world_settings")));
-        buttons.add(buttonRandomWorldName = new ButtonElement(5, width / 2 + 100 - 20, 60, 20, 20, "")
+        this.textboxWorldName.setMaxStringLength(32);
+        this.textboxSeed = new TextFieldElement(this, this.fontRenderer, this.width / 2 - 100, 100, 200 - 24, 20, "", Long.toString(this.worldConfiguration.getNumericSeed()));
+        this.buttons.add(this.gamemodeButton = new ButtonElement(2, this.width / 2 - 100, 100 + 20 + 4, 98, 20, ""));
+        this.buttons.add(this.cheatsButton = new ButtonElement(3, this.width / 2 - 100 + 102, 100 + 20 + 4, 98, 20, ""));
+        this.buttons.add(this.worldSettingsButton = new ButtonElement(4, this.width / 2 - 100, 100 + 20 + 20 + 4 + 4, i18n.translateKey("gui.create_world.button.world_settings")));
+        this.buttons.add(this.buttonRandomWorldName = new ButtonElement(5, this.width / 2 + 100 - 20, 60, 20, 20, "")
                 .setTextures("minecraft:gui/misc/button_random", "minecraft:gui/misc/button_random_highlighted", "minecraft:gui/misc/button_random"));
-        buttons.add(buttonRandomSeed = new ButtonElement(6, width / 2 + 100 - 20, 100, 20, 20, "")
+        this.buttons.add(this.buttonRandomSeed = new ButtonElement(6, this.width / 2 + 100 - 20, 100, 20, 20, "")
                 .setTextures("minecraft:gui/misc/button_random", "minecraft:gui/misc/button_random_highlighted", "minecraft:gui/misc/button_random"));
         syncButtons();
     }
@@ -74,34 +74,34 @@ public class ScreenCreateWorld extends Screen {
             return;
         }
         if (button.id == 1) {
-            mc.displayScreen(parentScreen);
+            this.mc.displayScreen(this.parentScreen);
         } else if (button.id == 0) {
-            mc.displayScreen(null);
-            if (createClicked) {
+            this.mc.displayScreen(null);
+            if (this.createClicked) {
                 return;
             }
-            createClicked = true;
+            this.createClicked = true;
 
             this.mc.createAndStartWorld(this.worldConfiguration);
 
-            mc.displayScreen(null);
-        } else if (button == gamemodeButton) {
+            this.mc.displayScreen(null);
+        } else if (button == this.gamemodeButton) {
             List<Gamemode> gamemodeList = Gamemode.getPublicGamemodes();
             this.worldConfiguration.setGamemode(gamemodeList.get((gamemodeList.indexOf(this.worldConfiguration.getGamemode()) + 1) % gamemodeList.size()));
             this.worldConfiguration.setCheatsEnabled(this.worldConfiguration.getGamemode() == Gamemode.creative);
             syncButtons();
-        } else if (button == cheatsButton) {
+        } else if (button == this.cheatsButton) {
             this.worldConfiguration.setCheatsEnabled(!this.worldConfiguration.getCheatsEnabled());
             syncButtons();
-        } else if (button == worldSettingsButton) {
-            mc.displayScreen(new ScreenWorldSettings(this, this.worldConfiguration));
-        } else if (button == buttonRandomWorldName) {
-            textboxWorldName.setText(I18n.getInstance().getCurrentLanguage().getRandomWorldName());
+        } else if (button == this.worldSettingsButton) {
+            this.mc.displayScreen(new ScreenWorldSettings(this, this.worldConfiguration));
+        } else if (button == this.buttonRandomWorldName) {
+            this.textboxWorldName.setText(I18n.getInstance().getCurrentLanguage().getRandomWorldName());
             syncConfig();
-        } else if (button == buttonRandomSeed) {
+        } else if (button == this.buttonRandomSeed) {
             this.worldConfiguration.regenNumericSeed();
-            textboxSeed.setPlaceholder(Long.toString(this.worldConfiguration.getNumericSeed()));
-            textboxSeed.setText("");
+            this.textboxSeed.setPlaceholder(Long.toString(this.worldConfiguration.getNumericSeed()));
+            this.textboxSeed.setText("");
             syncConfig();
         }
     }
@@ -110,8 +110,8 @@ public class ScreenCreateWorld extends Screen {
         I18n i18n = I18n.getInstance();
         this.textboxWorldName.setText(this.worldConfiguration.getWorldName());
         this.textboxSeed.setText(this.worldConfiguration.getStringSeed());
-        gamemodeButton.displayString = i18n.translateKeyAndFormat("gui.create_world.button.gamemode", i18n.translateKey(this.worldConfiguration.getGamemode().getLanguageKey() + ".name"));
-        cheatsButton.displayString = i18n.translateKeyAndFormat("gui.create_world.button.cheats", i18n.translateKey(this.worldConfiguration.getCheatsEnabled() ? "gui.create_world.button.cheats.on" : "gui.create_world.button.cheats.off"));
+        this.gamemodeButton.displayString = i18n.translateKeyAndFormat("gui.create_world.button.gamemode", i18n.translateKey(this.worldConfiguration.getGamemode().getLanguageKey() + ".name"));
+        this.cheatsButton.displayString = i18n.translateKeyAndFormat("gui.create_world.button.cheats", i18n.translateKey(this.worldConfiguration.getCheatsEnabled() ? "gui.create_world.button.cheats.on" : "gui.create_world.button.cheats.off"));
     }
 
     private void syncConfig() {
@@ -122,57 +122,57 @@ public class ScreenCreateWorld extends Screen {
     @Override
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
         if (eventKey != Keyboard.KEY_BACK) super.keyPressed(eventCharacter, eventKey, mx, my);
-        if (textboxWorldName.isFocused) {
-            textboxWorldName.textboxKeyTyped(eventCharacter, eventKey);
+        if (this.textboxWorldName.isFocused) {
+            this.textboxWorldName.textboxKeyTyped(eventCharacter, eventKey);
             syncConfig();
-        } else if (textboxSeed.isFocused) {
-            textboxSeed.textboxKeyTyped(eventCharacter, eventKey);
+        } else if (this.textboxSeed.isFocused) {
+            this.textboxSeed.textboxKeyTyped(eventCharacter, eventKey);
             syncConfig();
         }
         if (eventCharacter == '\r') {
-            buttonClicked(buttons.get(0));
+            buttonClicked(this.buttons.get(0));
         }
     }
 
     @Override
     public void mouseClicked(int mx, int my, int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
-        textboxWorldName.mouseClicked(mx, my, buttonNum);
-        textboxSeed.mouseClicked(mx, my, buttonNum);
+        this.textboxWorldName.mouseClicked(mx, my, buttonNum);
+        this.textboxSeed.mouseClicked(mx, my, buttonNum);
     }
 
     @Override
     public void render(int mx, int my, float partialTick) {
         I18n i18n = I18n.getInstance();
         renderBackground();
-        drawStringCenteredShadow(fontRenderer, i18n.translateKey("gui.create_world.label.title"), width / 2, 20, 0xffffff);
-        drawStringShadow(fontRenderer, i18n.translateKey("gui.create_world.label.world_name"), width / 2 - 100, 47, 0xa0a0a0);
-        drawStringShadow(fontRenderer, i18n.translateKey("gui.create_world.label.seed"), width / 2 - 100, 88, 0xa0a0a0);
-        textboxWorldName.drawTextBox();
-        textboxWorldName.updateCursor(mc, mx, my);
-        textboxSeed.drawTextBox();
-        textboxSeed.updateCursor(mc, mx, my);
+        drawStringCenteredShadow(this.fontRenderer, i18n.translateKey("gui.create_world.label.title"), this.width / 2, 20, 0xffffff);
+        drawStringShadow(this.fontRenderer, i18n.translateKey("gui.create_world.label.world_name"), this.width / 2 - 100, 47, 0xa0a0a0);
+        drawStringShadow(this.fontRenderer, i18n.translateKey("gui.create_world.label.seed"), this.width / 2 - 100, 88, 0xa0a0a0);
+        this.textboxWorldName.drawTextBox();
+        this.textboxWorldName.updateCursor(this.mc, mx, my);
+        this.textboxSeed.drawTextBox();
+        this.textboxSeed.updateCursor(this.mc, mx, my);
         super.render(mx, my, partialTick);
     }
 
     @Override
     public void selectNextField() {
-        if (textboxWorldName.isFocused) {
-            textboxWorldName.setFocused(false);
-            textboxSeed.setFocused(true);
+        if (this.textboxWorldName.isFocused) {
+            this.textboxWorldName.setFocused(false);
+            this.textboxSeed.setFocused(true);
         } else {
-            textboxWorldName.setFocused(true);
-            textboxSeed.setFocused(false);
+            this.textboxWorldName.setFocused(true);
+            this.textboxSeed.setFocused(false);
         }
     }
 
     public void runPreset(String name, String seed, int spawnX, int spawnY, int spawnZ) {
-        overrideSpawnX = spawnX;
-        overrideSpawnY = spawnY;
-        overrideSpawnZ = spawnZ;
+        this.overrideSpawnX = spawnX;
+        this.overrideSpawnY = spawnY;
+        this.overrideSpawnZ = spawnZ;
         this.worldConfiguration.setWorldName(name);
         this.worldConfiguration.setStringSeed(seed);
         this.worldConfiguration.setGamemode(Gamemode.creative);
-        buttonClicked(createWorldButton);
+        buttonClicked(this.createWorldButton);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
index 650fe998f..93a125867 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenCredits.java
@@ -3,13 +3,14 @@ package net.minecraft.client.gui;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
 import net.minecraft.client.render.Scissor;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.Shaders;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
 import org.slf4j.Logger;
 
 import java.awt.*;
@@ -20,8 +21,6 @@ import java.nio.charset.StandardCharsets;
 import java.util.ArrayList;
 import java.util.List;
 
-import static org.lwjgl.opengl.GL11.*;
-
 public class ScreenCredits extends Screen {
     private static final Logger LOGGER = LogUtils.getLogger();
     private static final int TOP_SPACING = 24;
@@ -80,12 +79,12 @@ public class ScreenCredits extends Screen {
 
     @Override
     public void init() {
-        top = TOP_SPACING;
-        bottom = height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
-        scrollRegionHeight = bottom - top;
-        add(new ListenerButtonElement(0, width / 2 - 100, height - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.credits.button.done")).setActionListener(() -> {
+        this.top = TOP_SPACING;
+        this.bottom = this.height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
+        this.scrollRegionHeight = this.bottom - this.top;
+        add(new ListenerButtonElement(0, this.width / 2 - 100, this.height - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.credits.button.done")).setActionListener(() -> {
             removed();
-            mc.displayScreen(null);
+            this.mc.displayScreen(this.parentScreen);
         }));
 
         onScroll();
@@ -93,15 +92,15 @@ public class ScreenCredits extends Screen {
 
     @Override
     public void tick() {
-        if (!playing) {
-            mc.sndManager.playMusic(SONGS[(int) (Math.random() * SONGS.length)], 0, 0, 0, 1.0f, 1.0f);
-            playing = true;
+        if (!this.playing) {
+            this.mc.sndManager.playMusic(SONGS[(int) (Math.random() * SONGS.length)], 0, 0, 0, 1.0f, 1.0f);
+            this.playing = true;
         }
     }
 
     @Override
     public void removed() {
-        mc.sndManager.stopMusic();
+        this.mc.sndManager.stopMusic();
     }
 
     @Override
@@ -114,86 +113,84 @@ public class ScreenCredits extends Screen {
         }
 
         renderBackground();
-        overlayBackground(0, width, 0, top);
-        overlayBackground(0, width, bottom, height);
+        overlayBackground(0, this.width, 0, this.top);
+        overlayBackground(0, this.width, this.bottom, this.height);
 
         drawScrollBar(mx, my);
 
         super.render(mx, my, partialTick);
 
-        drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey("gui.credits.label.title"), width / 2, 5, 0xFFFFFF);
+        drawStringCenteredNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.credits.label.title"), this.width / 2, 5, 0xFFFFFF);
 
-        Scissor.enable(0, top, width, bottom - top);
+        Scissor.enable(0, this.top, this.width, this.bottom - this.top);
         drawContent();
         Scissor.disable();
 
-        hue = (hue + 1) % 360f;
+        this.hue = (this.hue + 1) % 360f;
     }
 
     private void drawContent() {
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/title/mclogo.png").bind();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        drawTexturedModalRect(width / 2 - 274 / 2, 30 - (int)scrollAmount, 0, 0, 274, 50, 1d/274, 1d/50);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/title/mclogo.png").bind();
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        drawTexturedModalRect(this.width / 2 - 274 / 2, 30 - (int) this.scrollAmount, 0, 0, 274, 50, 1d / 274, 1d / 50);
 
-        for (int i = 0; i < lines.size(); i++) {
-            String line = lines.get(i);
+        for (int i = 0; i < this.lines.size(); i++) {
+            String line = this.lines.get(i);
             if (line.startsWith("*")) {
                 line = TextFormatting.BOLD + line.substring(1);
-                int lineWidth = MathHelper.ceil(fontRenderer.stringWidthDouble(line)) + line.length();
-                drawStringNoShadow(this.fontRenderer, line, width / 2 - lineWidth / 2, 100 + i * 12 - (int)scrollAmount, 0xFFFFFF);
+                int lineWidth = MathHelper.ceil(this.fontRenderer.stringWidthDouble(line)) + line.length();
+                drawStringNoShadow(this.fontRenderer, line, this.width / 2 - lineWidth / 2, 100 + i * 12 - (int) this.scrollAmount, 0xFFFFFF);
             } else if (line.startsWith("!")) {
-                int rgb = Color.HSBtoRGB(hue / 360f, 1.0f, 1.0f);
+                int rgb = Color.HSBtoRGB(this.hue / 360f, 1.0f, 1.0f);
                 line = TextFormatting.BOLD + line.substring(1);
-                int lineWidth = MathHelper.ceil(fontRenderer.stringWidthDouble(line)) + line.length();
-                drawStringNoShadow(this.fontRenderer, line, width / 2 - lineWidth / 2, 100 + i * 12 - (int)scrollAmount, rgb);
+                int lineWidth = MathHelper.ceil(this.fontRenderer.stringWidthDouble(line)) + line.length();
+                drawStringNoShadow(this.fontRenderer, line, this.width / 2 - lineWidth / 2, 100 + i * 12 - (int) this.scrollAmount, rgb);
             } else {
-                drawStringNoShadow(this.fontRenderer, line, MathHelper.ceil((width - fontRenderer.stringWidthDouble(line)) / 2), 100 + i * 12 - (int) scrollAmount, 0x7F7F7F);
+                drawStringNoShadow(this.fontRenderer, line, MathHelper.ceil((this.width - this.fontRenderer.stringWidthDouble(line)) / 2), 100 + i * 12 - (int) this.scrollAmount, 0x7F7F7F);
             }
         }
     }
 
     protected void drawScrollBar(int mouseX, int mouseY) {
         float totalPageHeight = getTotalPageHeight();
-        float scrollBarHeightPercent = scrollRegionHeight / totalPageHeight;
+        float scrollBarHeightPercent = this.scrollRegionHeight / totalPageHeight;
 
         if (scrollBarHeightPercent > 1.0f) return;
 
-        glDisable(GL_TEXTURE_2D);
-
-        int scrollBarX = width - 6;
+        int scrollBarX = this.width - 6;
 
-        int scrollBarHeightPx = (int) (scrollBarHeightPercent * scrollRegionHeight);
+        int scrollBarHeightPx = (int) (scrollBarHeightPercent * this.scrollRegionHeight);
         if (scrollBarHeightPx < 32) {
             scrollBarHeightPx = 32;
         }
 
-        float scrollPercent = scrollAmount / (totalPageHeight - scrollRegionHeight);
+        float scrollPercent = this.scrollAmount / (totalPageHeight - this.scrollRegionHeight);
 
-        int scrollBarY = (int) (top + (scrollRegionHeight - scrollBarHeightPx) * scrollPercent);
-
-        Tessellator t = Tessellator.instance;
+        int scrollBarY = (int) (this.top + (this.scrollRegionHeight - scrollBarHeightPx) * scrollPercent);
 
+        GLRenderer.pushFrame();
+        GLRenderer.setShader(Shaders.COLOR);
+        TessellatorGeneral t = GLRenderer.getTessellator();
         t.startDrawingQuads();
-        t.setColorOpaque(0, 0, 0);
-        t.drawRectangle(scrollBarX, top, 6, scrollRegionHeight);
-        t.setColorRGBA_I(0x808080, 255);
+        t.setColorOpaque3i(0, 0, 0);
+        t.drawRectangle(scrollBarX, this.top, 6, this.scrollRegionHeight);
+        t.setColor2i(0x808080, 255);
         t.drawRectangle(scrollBarX, scrollBarY, 6, scrollBarHeightPx);
-        t.setColorRGBA_I(0xc0c0c0, 255);
+        t.setColor2i(0xc0c0c0, 255);
         t.drawRectangle(scrollBarX + 1, scrollBarY, 5, scrollBarHeightPx - 1);
         t.draw();
+        GLRenderer.popFrame();
 
-        glEnable(GL_TEXTURE_2D);
-
-        if (clickX != null && clickY != null) {
-            if (clickX >= scrollBarX && clickY >= top && clickX <= scrollBarX + 6 && clickY < bottom) {
-                if (oldScrollAmount == null) {
-                    oldScrollAmount = scrollAmount;
+        if (this.clickX != null && this.clickY != null) {
+            if (this.clickX >= scrollBarX && this.clickY >= this.top && this.clickX <= scrollBarX + 6 && this.clickY < this.bottom) {
+                if (this.oldScrollAmount == null) {
+                    this.oldScrollAmount = this.scrollAmount;
                 }
-                scrollAmount = oldScrollAmount + (clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
+                this.scrollAmount = this.oldScrollAmount + (this.clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
                 onScroll();
             }
         } else {
-            oldScrollAmount = null;
+            this.oldScrollAmount = null;
         }
     }
 
@@ -201,40 +198,40 @@ public class ScreenCredits extends Screen {
     public void mouseClicked(int mx, int my, int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
 
-        clickX = mx;
-        clickY = my;
+        this.clickX = mx;
+        this.clickY = my;
     }
 
     @Override
     public void renderBackground() {
         super.renderBackground();
 
-        Tessellator tessellator = Tessellator.instance;
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        TessellatorGeneral tessellator = GLRenderer.getTessellator();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float scale = 32F;
         tessellator.startDrawingQuads();
-        tessellator.setColorOpaque_I(0x202020);
+        tessellator.setColorOpaque1i(0x202020);
 
-        tessellator.addVertexWithUV(0, bottom, 0.0D, 0, (float) (bottom + (int) scrollAmount) / scale);
-        tessellator.addVertexWithUV(width, bottom, 0.0D, (float) width / scale, (float) (bottom + (int) scrollAmount) / scale);
-        tessellator.addVertexWithUV(width, top, 0.0D, (float) width / scale, (float) (top + (int) scrollAmount) / scale);
-        tessellator.addVertexWithUV(0, top, 0.0D, 0, (float) (top + (int) scrollAmount) / scale);
+        tessellator.addVertexWithUV(0, this.bottom, 0.0D, 0, (float) (this.bottom + (int) this.scrollAmount) / scale);
+        tessellator.addVertexWithUV(this.width, this.bottom, 0.0D, (float) this.width / scale, (float) (this.bottom + (int) this.scrollAmount) / scale);
+        tessellator.addVertexWithUV(this.width, this.top, 0.0D, (float) this.width / scale, (float) (this.top + (int) this.scrollAmount) / scale);
+        tessellator.addVertexWithUV(0, this.top, 0.0D, 0, (float) (this.top + (int) this.scrollAmount) / scale);
 
         tessellator.draw();
     }
 
     private void overlayBackground(int minX, int maxX, int minY, int maxY) {
-        if (mc.currentWorld == null) {
-            Tessellator tessellator = Tessellator.instance;
-            mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        if (this.mc.currentWorld == null) {
+            TessellatorGeneral tessellator = GLRenderer.getTessellator();
+            this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             float scale = 32F;
             tessellator.startDrawingQuads();
-            tessellator.setColorOpaque_I(0x404040);
+            tessellator.setColorOpaque1i(0x404040);
             tessellator.addVertexWithUV(minX, maxY, 0.0D, (float) minX / scale, (float) maxY / scale);
             tessellator.addVertexWithUV(maxX, maxY, 0.0D, (float) maxX / scale, (float) maxY / scale);
-            tessellator.setColorOpaque_I(0x404040);
+            tessellator.setColorOpaque1i(0x404040);
             tessellator.addVertexWithUV(maxX, minY, 0.0D, (float) maxX / scale, (float) minY / scale);
             tessellator.addVertexWithUV(minX, minY, 0.0D, (float) minX / scale, (float) minY / scale);
             tessellator.draw();
@@ -245,19 +242,19 @@ public class ScreenCredits extends Screen {
     private void scroll(float amount) {
         if (amount == 0.0f) return;
 
-        scrollAmount += amount;
+        this.scrollAmount += amount;
         onScroll();
     }
 
     private void onScroll() {
         int totalPageHeight = getTotalPageHeight();
-        if (scrollAmount < 0 || scrollRegionHeight > totalPageHeight) scrollAmount = 0;
-        else if (scrollAmount > totalPageHeight - scrollRegionHeight)
-            scrollAmount = totalPageHeight - scrollRegionHeight;
+        if (this.scrollAmount < 0 || this.scrollRegionHeight > totalPageHeight) this.scrollAmount = 0;
+        else if (this.scrollAmount > totalPageHeight - this.scrollRegionHeight)
+            this.scrollAmount = totalPageHeight - this.scrollRegionHeight;
     }
 
     private int getTotalPageHeight() {
-        return 100 + lines.size() * 12;
+        return 100 + this.lines.size() * 12;
     }
 
     @Override
@@ -265,8 +262,8 @@ public class ScreenCredits extends Screen {
         super.mouseReleased(mx, my, buttonNum);
 
         if (buttonNum >= 0) {
-            clickX = null;
-            clickY = null;
+            this.clickX = null;
+            this.clickY = null;
         }
     }
 }
